clear all,clc, close all

path(pathdef)

% O2
vib_index_1 = 99:138;
% N2
vib_index_2 = 42:98;
vib_1 = 1:1:length(vib_index_1);
vib_2 = 1:1:length(vib_index_2);

load Output_0p1/HeN2O2/speciesDensities.mat
vib_1_1 = n_density(end,vib_index_1);
vib_2_1 = n_density(end,vib_index_2);
load Output_0p5/HeN2O2/speciesDensities.mat
vib_1_2 = n_density(end,vib_index_1);
vib_2_2 = n_density(end,vib_index_2);
load Output_1p0/HeN2O2/speciesDensities.mat
vib_1_3 = n_density(end,vib_index_1);
vib_2_3 = n_density(end,vib_index_2);

figure(1)

% plot(vib,Simulation_n_N2vib(Index_1,:),':','Color',[0 0.5 0],'LineWidth',2)
% hold on
plot(vib_1,vib_1_1,'-','Color','k','LineWidth',2)
hold on
plot(vib_1,vib_1_2,'--','Color','b','LineWidth',2)
hold on
plot(vib_1,vib_1_3,'-.','Color','r','LineWidth',2)
hold on

xlim([0 max(vib_1)+3])
xticks(0:5:max(vib_1))
xlabel('O_2 vibrational level (v)')
set(gca, 'YScale', 'log')
ylim([1e5 2e24])
% yticks(0:1e:1e23)
ylabel('Density (m^{-3})')

lgd=legend('0.1% N_2 + 0.1% O_2','0.5% N_2 + 0.5% O_2','1.0% N_2 + 1.0% O_2','FontSize',15);
% lgd=legend('Meas','Sim.','Location', 'northwest');

set(gca,'FontSize',15)
set(gcf,'position',[100,100,600,450])

text(0.15,0.95,'(a)','Units','normalized','Color','k','FontSize',15)
text(0.05,0.30,'1400 sccm He','Units','normalized','Color','k','FontSize',15)
text(0.05,0.20,'0.6 W','Units','normalized','Color','k','FontSize',15)

% saveas(figure(1),'/home/he/Pictures/paper/10a_mixtureVar_HeN2O2_VDF_O2.jpg');
% saveas(figure(1),'/home/he/Pictures/paper/10a_mixtureVar_HeN2O2_VDF_O2.png');
% saveas(figure(1),'/home/he/Pictures/paper/10a_mixtureVar_HeN2O2_VDF_O2.eps', 'epsc');
% saveas(figure(1),'/home/he/Pictures/paper/10a_mixtureVar_HeN2O2_VDF_O2.pdf');

figure(2)

% plot(vib,Simulation_n_N2vib(Index_1,:),':','Color',[0 0.5 0],'LineWidth',2)
% hold on
plot(vib_2,vib_2_1,'-','Color','k','LineWidth',2)
hold on
plot(vib_2,vib_2_2,'--','Color','b','LineWidth',2)
hold on
plot(vib_2,vib_2_3,'-.','Color','r','LineWidth',2)
hold on

xlim([0 max(vib_2)+3])
xticks(0:5:max(vib_2))
xlabel('N_2 vibrational level (v)')
set(gca, 'YScale', 'log')
ylim([1e5 2e24])
% yticks(0:1e:1e23)
ylabel('Density (m^{-3})')

lgd=legend('0.1% N_2 + 0.1% O_2','0.5% N_2 + 0.5% O_2','1.0% N_2 + 1.0% O_2','FontSize',15);
% lgd=legend('Meas','Sim.','Location', 'northwest');

set(gca,'FontSize',15)
set(gcf,'position',[100,100,600,450])

text(0.15,0.95,'(b)','Units','normalized','Color','k','FontSize',15)
text(0.05,0.30,'1400 sccm He','Units','normalized','Color','k','FontSize',15)
text(0.05,0.20,'0.6 W','Units','normalized','Color','k','FontSize',15)

% saveas(figure(2),'/home/he/Pictures/paper/10b_mixtureVar_HeN2O2_VDF_N2.jpg');
% saveas(figure(2),'/home/he/Pictures/paper/10b_mixtureVar_HeN2O2_VDF_N2.png');
% saveas(figure(2),'/home/he/Pictures/paper/10b_mixtureVar_HeN2O2_VDF_N2.eps', 'epsc');
% saveas(figure(2),'/home/he/Pictures/paper/10b_mixtureVar_HeN2O2_VDF_N2.pdf');